## emacs-dart-mode 1.0.7%2Bgit20251105.22288d0

=== Makefile ===
all: package-lint compile test

ci: clean build compile

build:
	eask package
	eask install

compile:
	eask compile

package-lint: build
	eask lint package

test-setup: build compile
	eask install-deps --dev

test-font-lock: test-setup
	eask test ert test/test/test-font-lock.el

test-indentation: test-setup
	eask test ert test/test-indentation.el

test: test-font-lock test-indentation

checkdoc:
	eask lint checkdoc

clean:
	eask clean all

clean-elc:
	eask clean elc

.PHONY: test

## emacs-dart-mode 1.0.7+git20240523.44beb62

=== debian/changelog ===
emacs-dart-mode (1.0.7+git20240523.44beb62-3) unstable; urgency=medium

  * Team upload.
  * Rebuild against dh-elpa 2.1.5.
    Upload pushed to dgit-repos but not salsa.
    See <https://lists.debian.org/debian-emacsen/2024/07/msg00077.html>.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 25 Jul 2024 19:16:15 +0900

emacs-dart-mode (1.0.7+git20240523.44beb62-2) unstable; urgency=medium

  * Source-only upload

 -- Xiyue Deng <manphiz@gmail.com>  Mon, 03 Jun 2024 21:40:08 -0700

emacs-dart-mode (1.0.7+git20240523.44beb62-1) unstable; urgency=medium

  * Initial release (Closes: #1071708)

 -- Xiyue Deng <manphiz@gmail.com>  Sat, 01 Jun 2024 20:26:27 -0700

=== debian/control ===
Source: emacs-dart-mode
Section: editors
Priority: optional
Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
Uploaders: Xiyue Deng <manphiz@gmail.com>
Build-Depends: debhelper-compat (= 13),
 dh-elpa
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/emacsen-team/emacs-dart-mode
Vcs-Git: https://salsa.debian.org/emacsen-team/emacs-dart-mode.git
Homepage: https://github.com/emacsorphanage/dart-mode
Testsuite: autopkgtest-pkg-elpa
Rules-Requires-Root: no

Package: elpa-dart-mode
Architecture: all
Depends: ${elpa:Depends}, ${misc:Depends}
Recommends: emacs
Enhances: emacs
Description: Major mode for editing Dart files
 This package implements a major-mode for the Dart language,
 providing basic syntax highlighting and indentation support.

=== debian/watch ===
version=4
opts="filenamemangle=s/(?:.*?)?v?(@ANY_VERSION@@ARCHIVE_EXT@)/@PACKAGE@-$1/" \
    https://github.com/emacsorphanage/dart-mode/tags \
    (?:.*?/)?@ANY_VERSION@@ARCHIVE_EXT@ debian uupdate

## emacs-dart-mode 1.0.7+git20240925.02e919c

=== debian/changelog ===
emacs-dart-mode (1.0.7+git20240925.02e919c-1) unstable; urgency=medium

  * Sync to latest upstream snapshot (02e919c)
  * Use gbp pq to manage the patch queue
  * Update d/watch to track snapshot
  * Use upstream/%(version)s for upstream-tag in d/gbp.conf

 -- Xiyue Deng <manphiz@gmail.com>  Sun, 22 Dec 2024 20:26:46 -0800

## emacs-dart-mode 1.0.7+git20250213.88b6683

=== debian/changelog ===
emacs-dart-mode (1.0.7+git20250213.88b6683-1) unstable; urgency=medium

  * Sync to latest upstream snapshot (88b6683)

 -- Xiyue Deng <manphiz@gmail.com>  Mon, 17 Feb 2025 02:14:44 -0800

## emacs-dart-mode 1.0.7+git20250224.6229941

=== debian/changelog ===
emacs-dart-mode (1.0.7+git20250224.6229941-1) unstable; urgency=medium

  * Sync to latest upstream snapshot (6229941)
  * Update Standards-Version to 4.7.2; no change needed

 -- Xiyue Deng <manphiz@gmail.com>  Thu, 06 Mar 2025 01:11:09 -0800

## emacs-dart-mode 1.0.7+git20250423.f82ff05

=== debian/changelog ===
emacs-dart-mode (1.0.7+git20250423.f82ff05-1) unstable; urgency=medium

  * Sync to latest upstream snapshot (f82ff05)

 -- Xiyue Deng <manphiz@gmail.com>  Wed, 23 Apr 2025 10:45:32 -0700

## emacs-dart-mode 1.0.7+git20250811.edb45cb

=== debian/changelog ===
emacs-dart-mode (1.0.7+git20250811.edb45cb-1) unstable; urgency=medium

  * Sync to latest upstream snapshot (edb45cb)

 -- Xiyue Deng <manphiz@gmail.com>  Fri, 15 Aug 2025 00:21:07 -0700

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Xiyue Deng <manphiz@gmail.com>
 Build-Depends: debhelper-compat (= 13),
  dh-elpa
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/emacsen-team/emacs-dart-mode
 Vcs-Git: https://salsa.debian.org/emacsen-team/emacs-dart-mode.git
 Homepage: https://github.com/emacsorphanage/dart-mode

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with elpa

override_dh_auto_clean:
	find . -name "*.elc" -exec rm "{}" \;

override_dh_auto_build:
	@echo skip to avoid using eask

=== debian/watch ===
version=4
opts="mode=git, pgpmode=none, pretty=1.0.7+git%cd.%h" \
    https://github.com/emacsorphanage/dart-mode \
    HEAD debian uupdate

## emacs-dart-mode 1.0.7+git20251105.22288d0

=== debian/changelog ===
emacs-dart-mode (1.0.7+git20251105.22288d0-1) unstable; urgency=medium

  * Sync to latest upstream snapshot (22288d0)
  * Migrate d/watch to version 5 format
  * Drop `Rules-Requires-Root: no'
    - This has been the default since dpkg 1.22.13.

 -- Xiyue Deng <manphiz@gmail.com>  Tue, 11 Nov 2025 11:37:44 -0800

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,6 @@
 Vcs-Git: https://salsa.debian.org/emacsen-team/emacs-dart-mode.git
 Homepage: https://github.com/emacsorphanage/dart-mode
 Testsuite: autopkgtest-pkg-elpa
-Rules-Requires-Root: no
 
 Package: elpa-dart-mode
 Architecture: all

=== debian/watch ===
Version: 5

Source: https://github.com/emacsorphanage/dart-mode
Matching-Pattern: HEAD
Mode: git
Pgp-Mode: none
Pretty: 1.0.7+git%cd.%h

## emacs-dart-mode 1.0.7+git20251121.9fbf703

=== debian/changelog ===
emacs-dart-mode (1.0.7+git20251121.9fbf703-1) unstable; urgency=medium

  * Sync to latest upstream snapshot (9fbf703)

 -- Xiyue Deng <manphiz@gmail.com>  Thu, 27 Nov 2025 01:44:23 -0800

## emacs-dart-mode 1.0.7+git20251203.773e9eb

=== debian/changelog ===
emacs-dart-mode (1.0.7+git20251203.773e9eb-1) unstable; urgency=medium

  * Sync to latest upstream snapshot (773e9eb)

 -- Xiyue Deng <manphiz@gmail.com>  Sun, 07 Dec 2025 21:52:04 -0800
